import { createContext } from 'react';
import PropTypes from 'prop-types';
import Domain from './domain/index.js';
import useI18nInitializer from './hooks/useI18nInitializer.js';
import { jsx as _jsx } from "react/jsx-runtime";
export var PasswordResetContext = /*#__PURE__*/createContext();
var PasswordResetProvider = function PasswordResetProvider(_ref) {
  var children = _ref.children,
    customI18n = _ref.customI18n;
  var domain = new Domain();
  var config = domain.get('config');
  var i18n = useI18nInitializer(config.get('DEFAULT_CULTURE'), config.get('DEFAULT_CURRENCY'));
  var value = {
    customI18n: customI18n,
    domain: domain,
    i18n: i18n
  };
  return /*#__PURE__*/_jsx(PasswordResetContext.Provider, {
    value: value,
    children: children
  });
};
export { PasswordResetProvider };